Subject: [bess] Shepherd's review of draft-ietf-bess-rfc5549revision-01

From: "Bocci, Matthew (Nokia - GB)" <[email-masked]>
Date: Mon, 10 Feb 2020 11:53:45 +0000

Authors

I have reviewed the draft. It is well written, and I only have a few very minor editorial comments.

Please treat these as you would any other WG LC comment.

Pg 5:

“o  Next Hop Address = VPN-IPv6 address of next hop with an 8-octet RD
      is set to zero (potentially followed by the link-local VPN-IPv6
      address of the next hop with an 8-octet RD is set to zero).”

s/is set to zero/set to zero, in both cases.

Pg7:

“This specification does not propose that the Extended Next Hop

   Encoding capability be used with any other combinations of <NLRI AFI,

   NLRI SAFI, Nexthop AFI>.  In particular, this specification does not

   propose that the Extended Next Hop Encoding capability be used for

   NLRI AFI/SAFIs whose definition already allows use of both IPv4 and

   IPv6 next hops (e.g., AFI/SAFI = <1/132> as defined in [RFC4684<https://tools.ietf.org/html/rfc4684>]).

   Similarly, it does not propose that the Extended Next Hop Encoding

   capability be used for NLRI AFI/SAFIs for which there is already a

   solution for advertising a next hop of a different address family

   (e.g., AFI/SAFI = <2/1>, <2/2>, or <2/4> with IPv4 Next Hop as per

   [RFC4798<https://tools.ietf.org/html/rfc4798>] and AFI/SAFI = <2/128> with IPv4 Next Hop as per

   [RFC4659<https://tools.ietf.org/html/rfc4659>]).”

I am not sure “propose” is the right word, as this document (when published as an RFC) specifies a specific set of procedures. It will not be a proposal. I suggest rephrasing the first sentence to:

“The Extended Next Hop Encoding capability MUST NOT be used with any other combinations of <NLRI AFI, NLRI SAFI, Nexthop AFI>.”

I also found the second part of the paragraph starting “In particular” to be unnecessary given the first sentence. If it is needed, then maybe you could rephrase it to read as an example, e.g.:

“For example, the Next Hop Encoding capability specified in this document is not intended to be used for...” and “Similarly, it is not intended that the Extended Next Hop Encoding capability be used for NLRI AFI/SAFIs for which there is already solution...”.

Best regards

Matthew